ChartDirector Ver 5.0 (PHP Edition)

Axis.getAxisImageMap

Usage

getAxisImageMap(noOfSegments, mapWidth, url [, queryFormat [, extraAttr [, offsetX, offsetY ]]])

Description

Generates an HTML image map for the axis itself.
This method is similar to Axis.getHTMLImageMap. The difference is instead of generating an image map for the labels, it generates an image map for the axis itself. The axis will be divided into a number of segments, with an image map entry created for each segment.

Arguments

Argument | Default | Description
--- | --- | ---
noOfSegments | (Mandatory) | The number of segments to divide the axis into.
mapWidth | (Mandatory) | The width of the axis used for the purpose of generating the image map.
url | (Mandatory) | The URL to be used in the "href" attribute of the image map. Parameter Substitution and Formatting is supported. Use an empty string if no href attribute is needed.

queryFormat

""

A text string representing the template of the query parameters to be appended to the URL. Parameter Substitution and Formatting is supported.
The special keyword "{default}" represents the default query parameters. This is useful for specifying appending to the default.
Note that an empty string means to use the default query query parameters. To specify no query parameter, use a space character.

extraAttr | "" | A text string to specify additional attributes to add to the <area> tag. Parameter Substitution and Formatting is supported.
offsetX | 0 | An offset to be added to all x coordinates in the image map. This is useful if the current image will be shifted and inserted into another image. In this case, the image map will need to be shifted by the same offset.
offsetY | 0 | An offset to be added to all y coordinates in the image map. See offsetX above for description.

Return Value

A text string containing the image map generated.

© 2009 Advanced Software Engineering Limited. All rights reserved.